[package]
name = "silentdragonxlitelib"
version = "0.1.0"
edition = "2018"

[features]
default = ["embed_params"]
embed_params = []

[dependencies]
base58 = "0.1.0"
bs58 = { version = "0.2", features = ["check"] }
log = "0.4"
log4rs = "0.8.3"
dirs = "2.0.2"
http = "0.2"
hex = "0.3"
protobuf = "2"
byteorder = "1"
json = "0.12.0"
tiny-bip39 = "0.6.2"
secp256k1 = "=0.15.0"
sha2 = "0.8.0"
ripemd160 = "0.8.0"
lazy_static = "1.2.0"
rust-embed = { version = "5.1.0", features = ["debug-embed"] }
rand = "0.7.2"
sodiumoxide = "0.2.5"
ring = "0.16.9"
libflate = "0.1"
subtle = "2"
threadpool = "1.8.0"
num_cpus = "1.13.0"

tonic = { version = "0.1.1", features = ["tls", "tls-roots"] }
bytes = "0.4"
prost = "0.6"
prost-types = "0.6"
tokio = { version = "0.2", features = ["rt-threaded", "time", "stream", "fs", "macros", "uds", "full"] }
tokio-rustls = { version = "0.12.1", features = ["dangerous_configuration"] }
webpki = "0.21.0"
webpki-roots = "0.18.0"

[dependencies.bellman]
git = "https://git.dragonx.is/DragonX/librustzcash.git"
rev= "acff1444ec373e9c3e37b47ca95bfd358e45255b"
default-features = false
features = ["groth16"]

[dependencies.pairing]
git = "https://git.dragonx.is/DragonX/librustzcash.git"
rev= "acff1444ec373e9c3e37b47ca95bfd358e45255b"

[dependencies.zcash_client_backend]
git = "https://git.dragonx.is/DragonX/librustzcash.git"
rev= "acff1444ec373e9c3e37b47ca95bfd358e45255b"

default-features = false

[dependencies.zcash_primitives]
git = "https://git.dragonx.is/DragonX/librustzcash.git"
rev= "acff1444ec373e9c3e37b47ca95bfd358e45255b"
default-features = false
features = ["transparent-inputs"]

[dependencies.zcash_proofs]
git = "https://git.dragonx.is/DragonX/librustzcash.git"
rev= "acff1444ec373e9c3e37b47ca95bfd358e45255b"
default-features = false

[dependencies.ff]
git = "https://git.dragonx.is/DragonX/librustzcash.git"
rev= "acff1444ec373e9c3e37b47ca95bfd358e45255b"
features = ["ff_derive"]

[build-dependencies]
tonic-build = "0.1.1"

[dev-dependencies]
tempdir = "0.3.7"
